> For the complete documentation index, see [llms.txt](https://e2payprod.gitbook.io/payment-gateway/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://e2payprod.gitbook.io/payment-gateway/api-documentation/technical-doc-of-fiuu-id/payment-request-parameters/hosted-integration/request-parameters.md).

# Request Parameters

**REQUEST URL**

* Production: <https://pg.e2pay.co.id/RMS/pay/MerchantID/Payment_Method>
* Sandbox: <https://pg-sandbox.e2pay.co.id/RMS/pay/MerchantID/Payment_Method>

**Content-Type:** `application/x-www-form-urlencoded`

<table><thead><tr><th width="168">Variable</th><th>Type Format / Max Length</th><th>Description / Example</th></tr></thead><tbody><tr><td>merchant_id</td><td>optional, alphanumeric</td><td>Merchant ID provided and it is on the request URL, otherwise need to pass this as parameter</td></tr><tr><td>amount</td><td>mandatory, integer or up to 2 decimal points numeric value</td><td><p>The total amount to be paid in one purchase order. </p><p>Configurable to lock this field (Read-only). E.g. 500, 168.99, comma( , ) is not allowed</p></td></tr><tr><td>orderid</td><td>mandatory, alphanumeric up to 32 characters</td><td>Invoice or order number from merchant system. Can be set to Read-only field. E.g. BH2018-09rev</td></tr><tr><td>bill_name</td><td>mandatory, alphanumeric, 128 chars</td><td>Buyer’s full name. (Please do not pass in dummy data if you want to use the saved cards feature, as this info will be used to identify the ownership of the card’s token. If you need to use dummy data, kindly refer to guest_checkout.)</td></tr><tr><td>bill_email</td><td>mandatory, email, 128 chars</td><td>Buyer’s email address. Must be a valid email. (Please do not pass in dummy data if you want to use the saved cards feature, as this info will be used to identify the ownership of the card’s token. If you need to use dummy data, kindly refer to guest_checkout.)</td></tr><tr><td>bill_desc</td><td>mandatory, alphanumeric, 64kB</td><td>Purchase itemized list or order description. Try to avoid special characters so that the payment request is not blocked by the web application firewall.</td></tr><tr><td>country</td><td>mandatory, 2 chars of ISO-3166 country code (Alpha-2)</td><td><p>Buyer’s country</p><p>E.g. ID for Indonesia.</p></td></tr><tr><td>vcode</td><td>conditional if accept open amount or order payment, such as virtual terminal is optional otherwise is mandatory. 32 chars hexadecimal string</td><td>This is the data integrity protection hash string. Refer vcode section for details.</td></tr><tr><td>cur / currency</td><td>optional, 3 chars ISO-4217 currency code</td><td>Default payment currency from merchant site. E.g. MYR, USD, EUR, AUD, SGD, CNY, IDR</td></tr><tr><td>channel</td><td>optional, predefined string. Refer to the channel column in the Channel Lists.</td><td>Default payment page will be displayed without channel specified.</td></tr><tr><td>langcode</td><td>optional, predefined string. Currently only en for English &#x26; cn for Simplified Chinese.</td><td>Default language, i.e. English, will be displayed without the langcode specified.</td></tr><tr><td>returnurl</td><td>optional, URL</td><td>For selected merchants only. Used for multiple return URLs. All URLs must be registered beforehand with PG. This will slow down your payment request.</td></tr><tr><td>callbackurl</td><td>optional, URL</td><td>Used for both multiple callback URL and Notify URL. All URL endpoints must be registered beforehand with PG.</td></tr><tr><td>cancelurl</td><td>optional, URL</td><td>Buyer will redirect to this URL if the buyer clicks the “Cancel” button to abandon payment before proceeding. No transaction will be created.</td></tr><tr><td>tcctype</td><td>optional, for card type transaction</td><td><p>Available value is:</p><p>SALS = Capture Transaction (Default)</p><p>AUTH = Authorize Transaction (Please inform Fiuu before starting using pre-auth)</p></td></tr><tr><td>token</td><td>optional</td><td>Token value for 1-click payment to show the selected card</td></tr><tr><td>installmonth</td><td>optional, mandatory for installment payment</td><td><p>Total month of installment.</p><p>E.g: 0, 3, 6, 12, 24</p></td></tr><tr><td>cash_waittime</td><td>optional, integer</td><td>To overwrite the allowed waiting time for cash payment in hour(s), values greater than “Payment Expiry Time” in merchant profile will be capped.</td></tr><tr><td>waittime</td><td>optional, integer</td><td>When the payment page will be expired in second(s)</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://e2payprod.gitbook.io/payment-gateway/api-documentation/technical-doc-of-fiuu-id/payment-request-parameters/hosted-integration/request-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
